# 表结构设计

**数据库名：** report_factory

**文档版本：** 1.0.0

**文档描述：** 表结构设计

| 表名                  | 说明       |
| :---: | :---: |
| [function](#function) | 功能点 |
| [function_group](#function_group) | 功能点分组 |
| [manual_filling_data](#manual_filling_data) | 数据录入数据 |
| [paragraph](#paragraph) | 段落 |
| [paragraph_custom](#paragraph_custom) | 段落定制 |
| [paragraph_define](#paragraph_define) | 段落定义 |
| [paragraph_model](#paragraph_model) | 段落模板 |
| [report_outline](#report_outline) | 报告概要 |
| [report_paragraph_value](#report_paragraph_value) | 报告段落取值 |
| [report_type](#report_type) | 报告类型 |
| [statistic_item](#statistic_item) | 统计条目 |

**表名：** <a id="function">function</a>

**说明：** 功能点

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 255 |   0    |    Y     |  N   |       | 功能点名称  |
|  3   | remark |   varchar   | 100 |   0    |    Y     |  N   |       | 备注  |
|  4   | define |   json   | 1073741824 |   0    |    Y     |  N   |       | 功能点定义  |
|  5   | data_source |   varchar   | 255 |   0    |    Y     |  N   |       | 数据来源  |
|  6   | qualified_standard |   json   | 1073741824 |   0    |    Y     |  N   |       | 合格标准  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="function_group">function_group</a>

**说明：** 功能点分组

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 255 |   0    |    Y     |  N   |       | 分组名称  |
|  3   | remark |   varchar   | 100 |   0    |    Y     |  N   |       | 备注  |
|  4   | group_ids |   text   | 65535 |   0    |    Y     |  N   |       | 包含的其他分组  |
|  5   | function_ids |   text   | 65535 |   0    |    Y     |  N   |       | 包含的功能点  |
|  6   | show_summary |   int   | 10 |   0    |    Y     |  N   |       | 是否展示统计值  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="manual_filling_data">manual_filling_data</a>

**说明：** 数据录入数据

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | function_id |   varchar   | 64 |   0    |    Y     |  N   |       | 功能点id  |
|  3   | project_id |   varchar   | 64 |   0    |    Y     |  N   |       | 项目主键  |
|  4   | data_time |   datetime   | 26 |   0    |    Y     |  N   |       | 数据时间  |
|  5   | type |   varchar   | 255 |   0    |    Y     |  N   |       | 数据类型  |
|  6   | value |   varchar   | 50 |   0    |    Y     |  N   |       | 信息点的值  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="paragraph">paragraph</a>

**说明：** 段落

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 50 |   0    |    Y     |  N   |       | 段落名称  |
|  3   | define_id |   varchar   | 64 |   0    |    Y     |  N   |       | 段落定义主键  |
|  4   | custom_id |   varchar   | 64 |   0    |    Y     |  N   |       | 段落定制主键  |
|  5   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  6   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  7   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  8   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  9   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  10   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="paragraph_custom">paragraph_custom</a>

**说明：** 段落定制

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | model_id |   varchar   | 64 |   0    |    Y     |  N   |       | 段落模板主键  |
|  3   | header_attrs |   json   | 1073741824 |   0    |    Y     |  N   |       | 头部属性  |
|  4   | list_attrs |   json   | 1073741824 |   0    |    Y     |  N   |       | 列表属性  |
|  5   | supplement |   json   | 1073741824 |   0    |    Y     |  N   |       | 补充说明  |
|  6   | remark |   varchar   | 255 |   0    |    Y     |  N   |       | 备注  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="paragraph_define">paragraph_define</a>

**说明：** 段落定义

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | model_id |   varchar   | 64 |   0    |    Y     |  N   |       | 段落模板主键  |
|  3   | group_ids |   text   | 65535 |   0    |    Y     |  N   |       | 包含的分组  |
|  4   | item_ids |   text   | 65535 |   0    |    Y     |  N   |       | 包含的条目  |
|  5   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  6   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  7   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  8   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  9   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  10   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="paragraph_model">paragraph_model</a>

**说明：** 段落模板

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | code |   varchar   | 50 |   0    |    Y     |  N   |       | 编码  |
|  3   | name |   varchar   | 50 |   0    |    Y     |  N   |       | 名称  |
|  4   | header_available_attrs |   json   | 1073741824 |   0    |    Y     |  N   |       | 段落头部可使用的属性  |
|  5   | list_available_attrs |   json   | 1073741824 |   0    |    Y     |  N   |       | 段落列表可使用的属性  |
|  6   | supplement |   json   | 1073741824 |   0    |    Y     |  N   |       | 补充说明  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="report_outline">report_outline</a>

**说明：** 报告概要

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 255 |   0    |    Y     |  N   |       | 报告名称  |
|  3   | report_month |   timestamp   | 26 |   0    |    Y     |  N   |       | 报告月份  |
|  4   | belong |   varchar   | 50 |   0    |    Y     |  N   |       | 报告所属  |
|  5   | report_type_id |   int   | 10 |   0    |    Y     |  N   |       | 报告类型主键  |
|  6   | status |   varchar   | 3 |   0    |    Y     |  N   |       | 状态  |
|  7   | remark |   varchar   | 64 |   0    |    Y     |  N   |       | 备注  |
|  8   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  9   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  10   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  11   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  12   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  13   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="report_paragraph_value">report_paragraph_value</a>

**说明：** 报告段落取值

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | report_outline_id |   varchar   | 64 |   0    |    Y     |  N   |       | 报告概要主键  |
|  3   | paragraph_id |   varchar   | 64 |   0    |    Y     |  N   |       | 段落主键  |
|  4   | header |   json   | 1073741824 |   0    |    Y     |  N   |       | 段落头部信息  |
|  5   | content |   json   | 1073741824 |   0    |    Y     |  N   |       | 段落内容信息  |
|  6   | supplement |   json   | 1073741824 |   0    |    Y     |  N   |       | 段落补充信息  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="report_type">report_type</a>

**说明：** 报告类型

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | name |   varchar   | 50 |   0    |    Y     |  N   |       | 类型名称  |
|  3   | building_types |   text   | 65535 |   0    |    Y     |  N   |       | 业态  |
|  4   | belong_type |   varchar   | 10 |   0    |    Y     |  N   |       | 报告所属类型  |
|  5   | paragraphs |   text   | 65535 |   0    |    Y     |  N   |       | 段落  |
|  6   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  7   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  8   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  9   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  10   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  11   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |

**表名：** <a id="statistic_item">statistic_item</a>

**说明：** 统计条目

**数据列：**

| 序号 | 名称 | 数据类型 |  长度  | 小数位 | 允许空值 | 主键 | 默认值 | 说明 |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|  1   | id |   varchar   | 64 |   0    |    N     |  Y   |       | 主键  |
|  2   | code |   varchar   | 64 |   0    |    Y     |  N   |       | 编码  |
|  3   | standard_value |   varchar   | 100 |   0    |    Y     |  N   |       | 合格标准  |
|  4   | qualify_formula |   varchar   | 255 |   0    |    Y     |  N   |       | 合格的判断公式  |
|  5   | standard_flag |   varchar   | 255 |   0    |    Y     |  N   |       | 合格的判断标准（展示用）  |
|  6   | remark |   varchar   | 255 |   0    |    Y     |  N   |       | 备注  |
|  7   | ts |   timestamp   | 26 |   0    |    Y     |  N   |       | 乐观锁  |
|  8   | creator |   varchar   | 64 |   0    |    Y     |  N   |       | 创建人  |
|  9   | creation_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 创建时间  |
|  10   | modifier |   varchar   | 64 |   0    |    Y     |  N   |       | 修改人  |
|  11   | modified_time |   timestamp   | 26 |   0    |    Y     |  N   |       | 修改时间  |
|  12   | valid |   int   | 10 |   0    |    Y     |  N   |   1    | 删除标志  |
